##### SUPPRESS

#### Synopsis

    HELP:   Blank space at the end of a record is suppressed
    TYPE:   NUMBER
    SYNTAX: SUPPRESS

#### Description

Blanks or other signs at the end of any record are be suppressed (Windows only).

The character that is to be suppressed can also be specified with `trimchar=characters`.

If trimchar is not specified in addition to suppress, then the setting is `trimchar=20` (ASCII) or `trimchar=40` (EBCDIC), depending on the character set of the original data.

With the specification `trimchar=characters`, parameter `suppress` is set automatically.

Parameters in the same context:

- CUT for truncate in z/OS
- OPTION for suppress and nosuppress on UNIX
- PADCHAR for PADCHAR in z/OS
- TRIMCHAR for trimchar in WINDOWS
- NOSUPPRESS for nosuppress in WINDOWS

Syntax restrictions for FLAMv4 or older:

- z/OS
  - see parameter CUT for truncate
- UNIX
  - see parameter OPTION for suppress
- WINDOWS
  - `suppress`
  - `su`
    See also parameter NOCUT.

Values

- WINDOWS
  - for suppress and su: none/no values.

Default

- WINDOWS
  - for `suppress` and `su`: `trimchar=20` (ASCII) or `trimchar=40` (EBCDIC), depending on the character set of the original data.

Valid for

- decompression